Bug 236636 - [81cat] NullPointerException at com.sun.tools.javac.comp.Attr.attribTypeVariables
[81cat] NullPointerException at com.sun.tools.javac.comp.Attr.attribTypeVaria...
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.1
All All
: P1 (vote)
: 8.1
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
: 81_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 08:58 UTC by Vladimir Voskresensky
Modified: 2015-10-23 10:46 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.61 KB, text/plain)
2013-10-02 08:58 UTC, Vladimir Voskresensky
Details
stacktrace (3.57 KB, text/plain)
2015-10-20 06:48 UTC, muellermi
Details
stacktrace (3.57 KB, text/plain)
2015-10-20 07:00 UTC, muellermi
Details
stacktrace (3.58 KB, text/plain)
2015-10-20 09:36 UTC, muellermi
Details
stacktrace (3.51 KB, text/plain)
2015-10-20 10:39 UTC, Jiri Kovalsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2013-10-02 08:58:05 UTC
Build: NetBeans IDE 7.4 (Build 20131002-1083ea2694ae)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.25-b01, Java(TM) SE Runtime Environment, 1.7.0_25-b15
OS: SunOS

User Comments:
vv159170: typing template class declaration




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.comp.Attr.attribTypeVariables(Attr.java:721)
   at com.sun.tools.javac.comp.MemberEnter.complete(MemberEnter.java:1259)
   at com.sun.tools.javac.code.Symbol.complete(Symbol.java:553)
   at com.sun.tools.javac.code.Symbol$ClassSymbol.complete(Symbol.java:1020)
   at com.sun.tools.javac.code.Symbol$ClassSymbol.flags(Symbol.java:949)
   at com.sun.tools.javac.code.Symbol$ClassSymbol.getKind(Symbol.java:1063)
Comment 1 Vladimir Voskresensky 2013-10-02 08:58:06 UTC
Created attachment 140717 [details]
stacktrace
Comment 2 Exceptions Reporter 2014-03-16 16:16:27 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=204315
Comment 3 muellermi 2015-10-20 06:48:24 UTC
Created attachment 156821 [details]
stacktrace

rename type
problem occurt whilst renaming a second type
Comment 4 muellermi 2015-10-20 07:00:24 UTC
Created attachment 156823 [details]
stacktrace

Reproducable: rename 2nd type
Comment 5 muellermi 2015-10-20 09:36:24 UTC
Created attachment 156827 [details]
stacktrace

rename typ, same problem in today's build
Comment 6 muellermi 2015-10-20 09:37:30 UTC
NB completely freezes (need to be killed by taskmanager) after this problem occured and a file should be saved.
Comment 7 Jiri Kovalsky 2015-10-20 10:39:24 UTC
Created attachment 156830 [details]
stacktrace

Trying to reproduce issue #256037. Happened after closing the first exception report and invoking Ctrl+S.
Comment 9 Jiri Prox 2015-10-20 16:38:35 UTC
verified in trunk
Comment 10 Tomas Zezula 2015-10-21 11:02:32 UTC
The fix seems good to me.
Comment 11 Dusan Balek 2015-10-21 14:28:01 UTC
Integrated into release81.

http://hg.netbeans.org/releases/rev/12d53b7efa45
Comment 12 Quality Engineering 2015-10-22 01:27:17 UTC
Integrated into 'main-silver', will be available in build *201510220002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/af642218148a
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #236636 - NullPointerException at com.sun.tools.javac.comp.Attr.attribTypeVariables - fixed.
Comment 13 Jiri Prox 2015-10-23 10:46:27 UTC
verified


Product Version: NetBeans IDE 8.1 (Build 201510222201)
Java: 1.8.0_65; Java HotSpot(TM) 64-Bit Server VM 25.65-b01
Runtime: Java(TM) SE Runtime Environment 1.8.0_65-b17
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
User directory: C:\Users\jprox\AppData\Roaming\NetBeans\8.1
Cache directory: C:\Users\jprox\AppData\Local\NetBeans\Cache\8.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo